# sati-js - javascript client for sati.ac
[![NPM version](https://badge.fury.io/js/sati.svg)](https://www.npmjs.com/package/sati)
![Downloads](https://img.shields.io/npm/dm/sati.svg?style=flat)

## usage example
```ts
const { Sati } = require('sati')

const sati = new Sati({
	token: 'your token here'
})
await sati.init() // you must call the init method after construction

const balance = await sati.getBalance()
console.log(balance)

// first argument - task type, second - task parameters
// supported tasks: https://sati.ac/docs/tasks
const task = await sati.solve('Turnstile', {
	siteKey: '0x4AAAAAAAHMEd1rGJs9qy-0',
	pageUrl: 'https://polygon.sati.ac/Turnstile'
})

console.log(task, task.result.token)

sati.close() // you must call close method after you've done 
```