import { SocketAdapter } from '../../helpers/SocketAdapter'

class BrowserSocketAdapter extends SocketAdapter {
	private socket: WebSocket
	constructor(url: string) {
		super()
		this.socket = new WebSocket(url)
		this.socket.addEventListener('message', e => this.emit('message', e.data))
		this.socket.addEventListener('error', e => this.emit('error', e))
		this.socket.addEventListener('open', () => this.emit('open', null))
		this.socket.addEventListener('close', () => this.emit('close', null))
	}

	public send(message: string) {
		this.socket.send(message)
	}

	public close() {
		this.socket.close()
	}
}

export { BrowserSocketAdapter as SocketAdapter }