import { EventEmitter } from '../helpers/EventEmitter'

export interface SocketAdapterConstructor {
	new(url: string): SocketAdapter
}

/** cross-platform websocket interface */
export abstract class SocketAdapter extends EventEmitter<{
	message: string,
	open: null,
	close: null,
	error: any
}> {
	public abstract send(message: string): void
	public abstract close(): void
}